repo-ng - Task #1867

Initiation read entries from database
08/15/2014 12:49 AM - Ali Khan

Status: Closed Start date: 08/15/2014
Priority: High Due date:

Assignee: Weigi Shi % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

| have just installed the latest code of ndn-cxx, NFD and repo-ng from github. However, after running nfd-start and ndn-repo-ng
respectively, | got an error about

"ERROR: Initiation Read Entries from Database Prepare error"

Do | need to do some prerequisite steps such as generating a database file? Besides, | could not find any database file after
installing the repo-ng.

Thank you!

Related issues:
Is duplicate of repo-ng - Task #1887: The problem of ndnputfile and ndngetfile Closed 08/18/2014

History

#1 - 08/15/2014 01:55 PM - Alex Afanasyev
- Assignee set to Weiqi Shi
- Priority changed from Normal to High

#2 - 08/15/2014 03:27 PM - Weiqi Shi

It seems it is something wrong with your database. This error is thrown when repo reads data from database and uses the data to rebuild the repo
index. Have you changed your database path in config file? Or have you removed the original database generated by running repo last time? Repo
can read from existing database, but if there is something wrong with the database, data cannot be read from it.

#3 - 08/15/2014 04:12 PM - Alex Afanasyev

What would happen if database does not yet exist. Will this error be generated?

#4 - 08/15/2014 04:22 PM - Weiqi Shi

If database does not exist, repo will generate one. That case would be much simpler than handle the existed database. And the problem will not exist
since repo do not need to rebuild the index.

#5 - 08/17/2014 03:11 PM - Zhehao Wang

Hi guys,

I'm having the same problem with the latest code of ndn-cxx, NFD and repo-ng. (on OSX 10.8.4)

I haven't changed the database in config file, or removed the original database. If | recall correctly, what | did is running integrated-tests, and running

a few ndnputfile and ndngetfiles.

Do you know if | can access its log somewhere? Or do | have to remove the database files in /var/db/ndn-repo-ng/, and let repo-ng regenerate the db
files?

Thanks!

#6 - 08/17/2014 03:14 PM - Alex Afanasyev

If you had your database created with previous version of repo-ng, you probably need to remove it, as the formats has been changed.

#7 - 08/17/2014 08:41 PM - Ali Khan

Thank you for your response.

I haven't changed my database path in config file and now the path is "/var/db/ndn-repo-ng". However, | also removed an old database file
(ndn-repo.db), but it seems that repo-ng didn't create a new database file for me (my database path is empty). Then | got an error message as
follows:

Database file open failure rc:14
ERROR: Database file open failure

#8 - 08/17/2014 10:43 PM - Alex Afanasyev

Can you check that the specified path is writeable by the user you running repo?

#9 - 08/17/2014 10:49 PM - Weiqi Shi

Under that path, you need the root authority to create a database. Have you use sudo to run the repo?

#10 - 08/18/2014 12:31 AM - Ali Khan

Sorry, at the beginning | didn't run repo with sudo. Now, the database file can be initialized when | run the repo.
However, | still have problems with ndnputfile and ndngetfile. Currently, | try to load a file to repo with command
"sudo ndnputfile -v ndn:/example/repo/1 ndn:/example/data/1/photo ./photo.JPG"

It seems that repo cannot identify the endblock of my content and then | obtain error messages as follows:
interlab@12:~/repo-ng$ sudo ndnputfile -v ndn:/example/repo/1 ndn:/example/data/1/photo ./photo.JPG
setinterestFilter for /example/data/1/photo/%00%00%01G%E7%FE%9D%1C

Requested segment [829] does not exist

Requested segment [830] does not exist

Requested segment [831] does not exist

Requested segment [832] does not exist

Requested segment [833] does not exist

Requested segment [834] does not exist

Requested segment [835] does not exist

Requested segment [836] does not exist

Requested segment [837] does not exist

Requested segment [838] does not exist

Requested segment [839] does not exist

P.S. size of file is about 828 kB

thank you

#11 - 08/18/2014 12:50 AM - Weiqi Shi

For the sudo and database path, | would suggest you to change to path in config file so that you do not need to bother with this problem, but anyway.

For ndnputfile and ndngetfile, it seems there are something wrong, or at least they are kinds of misleading and inconvenient to use. Currently, | am

not very sure about this since | have not looked into the code, but | will try to figure it out this week.

For now, if you want to insert the a data, you can specify -s when you run ndnputfile as long as the file does not exceed some certain value. It will put

your file into one data and save it.

Sorry for the limited information | can provide, | will try to solve this problem as soon as possible.

#12 - 08/18/2014 04:10 PM - Weiqi Shi

This issue will be solved in the task# 1887.

#13 - 08/19/2014 09:28 PM - Ali Khan

Thank you very much for your information. | will follow the task#1887 by now.
#14 - 08/24/2014 06:46 PM - Weiqi Shi
- Status changed from New to Resolved

- % Done changed from 0 to 100
This issue has been solved.

#15 - 06/08/2017 09:47 AM - Junxiao Shi
- Is duplicate of Task #1887: The problem of ndnputfile and ndngetfile added

#16 - 06/08/2017 09:47 AM - Junxiao Shi

- Status changed from Resolved to Closed
